| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::StringGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::StringGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::StringGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef std::string | ResultT
typedef std::string | ResultT

## Public Member Functions
| StringGrammar ()
| StringGrammar ()

## Public Attributes
qi::rule< Iterator, std::string(), qi::locals< char >, Skipper > | str
qi::rule< Iterator, char()> | begin_quote
qi::rule< Iterator, void(char)> | quote

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::StringGrammar< Iterator, Skipper >

Definition at line 55 of file Grammar.h.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef std::string Gaudi::Parsers::StringGrammar< Iterator, Skipper >::ResultT

Definition at line 58 of file Grammar.h.

template<typename Iterator, typename Skipper>

typedef std::string Gaudi::Parsers::StringGrammar< Iterator, Skipper >::ResultT

Definition at line 92 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::StringGrammar< Iterator, Skipper >::StringGrammar | ( |  | ) |
| inline

Definition at line 60 of file Grammar.h.

60 : StringGrammar::base_type(str) {
61 begin_quote = enc::char_("\"'");
62 quote = enc::char_(qi::_r1);
63
64 str = qi::lexeme[begin_quote[qi::_a = qi::_1] >> *((enc::char_('\\')
65 >> quote(qi::_a))[qi::_val += qi::_a]
66 | (enc::char_[qi::_val += qi::_1] - quote(qi::_a)))
67 >> quote(qi::_a)];
68 }
Gaudi::Parsers::StringGrammar::quote
qi::rule< Iterator, void(char)> quote
Definition: Grammar.h:72
Gaudi::Parsers::StringGrammar::str
qi::rule< Iterator, std::string(), qi::locals< char >, Skipper > str
Definition: Grammar.h:70
Gaudi::Parsers::StringGrammar::begin_quote
qi::rule< Iterator, char()> begin_quote
Definition: Grammar.h:71
template<typename Iterator, typename Skipper>

Gaudi::Parsers::StringGrammar< Iterator, Skipper >::StringGrammar | ( |  | ) |
| inline

Definition at line 94 of file GrammarsV2.h.

94 : StringGrammar::base_type( str ) {
95 begin_quote = enc::char_("\"'");
96 quote = enc::char_(qi::_r1);
97
98 str = qi::lexeme[begin_quote[qi::_a = qi::_1]
99 > *( (enc::char_('\\') >> quote(qi::_a))[qi::_val += qi::_a]
100 | (enc::char_[qi::_val += qi::_1] - quote(qi::_a))) >
101 quote(qi::_a)]
102 ;
103 }
Gaudi::Parsers::StringGrammar::quote
qi::rule< Iterator, void(char)> quote
Definition: Grammar.h:72
Gaudi::Parsers::StringGrammar::str
qi::rule< Iterator, std::string(), qi::locals< char >, Skipper > str
Definition: Grammar.h:70
Gaudi::Parsers::StringGrammar::begin_quote
qi::rule< Iterator, char()> begin_quote
Definition: Grammar.h:71

## Member Data Documentation

template<typename Iterator, typename Skipper>

qi::rule< Iterator, char()> Gaudi::Parsers::StringGrammar< Iterator, Skipper >::begin_quote

Definition at line 71 of file Grammar.h.

template<typename Iterator, typename Skipper>

qi::rule< Iterator, void(char)> Gaudi::Parsers::StringGrammar< Iterator, Skipper >::quote

Definition at line 72 of file Grammar.h.

template<typename Iterator, typename Skipper>

qi::rule< Iterator, std::string(), qi::locals< char >, Skipper > Gaudi::Parsers::StringGrammar< Iterator, Skipper >::str

Definition at line 70 of file Grammar.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/GaudiKernel/GrammarsV2.h